package com.jiuqi.util;

package .tmp;

import com.jiuqi.util.AvgStatCell;
import com.jiuqi.util.CountStatCell;
import com.jiuqi.util.FirstStatCell;
import com.jiuqi.util.LastStatCell;
import com.jiuqi.util.ListAllStatCell;
import com.jiuqi.util.MaxStatCell;
import com.jiuqi.util.MinStatCell;
import com.jiuqi.util.SumStatCell;

public class StatCell {
  public static final int STAT_MODE_AUTO = 0;
  
  public static final int STAT_MODE_SUM = 1;
  
  public static final int STAT_MODE_COUNT = 2;
  
  public static final int STAT_MODE_MAX = 3;
  
  public static final int STAT_MODE_MIN = 4;
  
  public static final int STAT_MODE_AVG = 5;
  
  public static final int STAT_MODE_FIRST = 6;
  
  public static final int STAT_MODE_LAST = 7;
  
  public static final int STAT_MODE_LIST = 8;
  
  public void reset() {}
  
  public void statistic(Object value) {}
  
  public Object getResult() {
    return null;
  }
  
  public static com.jiuqi.util.StatCell createStatCell(int statMode) {
    switch (statMode) {
      case 1:
        return (com.jiuqi.util.StatCell)new SumStatCell();
      case 2:
        return (com.jiuqi.util.StatCell)new CountStatCell();
      case 5:
        return (com.jiuqi.util.StatCell)new AvgStatCell();
      case 3:
        return (com.jiuqi.util.StatCell)new MaxStatCell();
      case 4:
        return (com.jiuqi.util.StatCell)new MinStatCell();
      case 6:
        return (com.jiuqi.util.StatCell)new FirstStatCell();
      case 7:
        return (com.jiuqi.util.StatCell)new LastStatCell();
      case 8:
        return (com.jiuqi.util.StatCell)new ListAllStatCell();
    } 
    return (com.jiuqi.util.StatCell)new FirstStatCell();
  }
}
